For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList Assets with Filtering
      • POSTCreate New Asset
      • GETGet Asset by ID
      • POSTBulk Asset Operations
      • POSTBulk Seat Assignments by People Group
      • GETList Asset Tags
      • POSTAdd Asset Tag
      • PUTUpdate Asset Tag
      • DELDelete Asset Tag
      • POSTBind Asset Tags
      • POSTUnbind Asset Tags
      • GETList all Location Definitions
      • POSTAdd Location Definitions
      • PUTUpdate Location Definitions
      • DELDelete Location Definitions
Trebellar Platform
LogoLogo
API ResourcesAssets

Bind Asset Tags

||View as Markdown|
POST
https://api.trebellar.app/api/v2/assets/tags/bind
POST
/api/v2/assets/tags/bind
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.assets.bindAssetTags({
8 assetId: "string",
9 assetTagIds: [
10 "string",
11 ],
12 });
13}
14main();
200Successful
1{
2 "data": {}
3}
Bind one or more asset tags to a specific asset.
Was this page helpful?
Previous

Delete Asset Tag

Next

Unbind Asset Tags

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
assetIdstringRequired
assetTagIdslist of stringsRequired

Response

Asset tags bound successfully
dataobject